Create database
curl --request POST \
--url https://cloud.laravel.com/api/databases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"cluster_id": 123
}
'import requests
url = "https://cloud.laravel.com/api/databases"
payload = {
"name": "<string>",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"cluster_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {suspend_seconds: 123, retention_days: 123},
cluster_id: 123
})
};
fetch('https://cloud.laravel.com/api/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
]
}{
"message": ""
}{
"message": "<string>",
"errors": {}
}Databases (Legacy)
Create database
deprecated
Use POST /databases/clusters instead.
POST
/
databases
Create database
Authorizations
The Bearer Token generated on the Cloud UI.
Body
application/json
Available options:
laravel_mysql_84, laravel_mysql_8, aws_rds_mysql_8, aws_rds_postgres_18, neon_serverless_postgres_18, neon_serverless_postgres_17, neon_serverless_postgres_16 Required string length:
3 - 40Pattern:
^[a-z0-9_-]+$Available options:
us-east-2, us-east-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, me-central-1, ap-southeast-1, ap-southeast-2, ap-northeast-1 Configuration object. Fields vary based on database type.
- Neon Serverless Postgres
- Laravel MySQL
- AWS RDS
Show child attributes
Show child attributes
Was this page helpful?
⌘I

